package de.subway_surfers.vpr_app;

import Logik.Tagesplan;
import RestAPISchnittstelle.RestApiClient;
import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.scene.control.Label;
import javafx.scene.layout.GridPane;
import javafx.scene.text.TextAlignment;

import java.text.DateFormat;
import java.util.Date;

public class HauptmenueElternController {
	@FXML
	private GridPane wochenplan;
	private String date;
	private String day;
	private String month;
	private String year;

	/**
	 * Ruft die Methode zum Befüllen der Ansicht auf der Hauptseite auf
	 * @author Max Heer
	 */
	public void initialize(){
		wochenuebersichtFuellen();
	}
	/**
	 * Methode zum initialisieren und befüllen der Tabelle im Hauptmenü
	 * @author Max Heer
	 */
	public void wochenuebersichtFuellen(){
		String dateanzeige;
		DateFormat dateFormat = DateFormat.getDateInstance();
		date = dateFormat.format(new Date());
		date = date.replace('.', '-');
		day = date.split("-")[0];
		month = date.split("-")[1];
		year = date.split("-")[2];
		date = String.format("%s-%s-%s", year, month, day);
		dateanzeige = String.format("%s.%s.%s",day,month,year);
		Tagesplan t = new RestApiClient().getGerichteOnTag(date);
		for(int i=0;i<5;i++){
			Label tag = new Label();
			wochenplan.add(tag, i, 0);
			tag.setText(dateanzeige);
			for(int j=0; j<t.getGerichte().size();j++){
				Label name = new Label();
				name.setWrapText(true);
				wochenplan.add(name, i, j+1);
				name.setText(t.getGerichte().get(j).getName());
				name.setPrefHeight(75);
				name.setTextAlignment(TextAlignment.CENTER);
			}
			day = String.valueOf(Integer.parseInt(day)+1);
			date = String.format("%s-%s-%s", year, month, day);
			dateanzeige = String.format("%s.%s.%s",day,month,year);
			t = new RestApiClient().getGerichteOnTag(date);
		}
	}
	public void onAbmelden(ActionEvent actionEvent) {}

	public void onBestellungPlanen(ActionEvent actionEvent) {}

	public void onBestellhistorieAnzeigen(ActionEvent actionEvent) {}

}
